Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Follower_Auto_Ptr Class Reference

Implement an auto_ptr-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set. More...

`#include <LF_Follower_Auto_Ptr.h>`

Collaboration diagram for TAO_LF_Follower_Auto_Ptr:

[legend]
List of all members.

## Public Methods
| TAO_LF_Follower_Auto_Ptr (TAO_Leader_Follower &)
| Constructor. More...
| ~TAO_LF_Follower_Auto_Ptr (void)
| Destructor. More...
TAO_LF_Follower * | get (void)
| Implement the smart pointer methods. More...
TAO_LF_Follower * | operator-> (void)
| operator TAO_LF_Follower * (void)
## Private Attributes
TAO_Leader_Follower & | leader_follower_
| Keep a reference to the leader follower. More...
TAO_LF_Follower * | follower_
| The follower. More...

## Detailed Description

Implement an auto_ptr-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set.

The Leader/Follower set is a factory for TAO_LF_Follower objects

## Constructor & Destructor Documentation

ACE_INLINE TAO_LF_Follower_Auto_Ptr::TAO_LF_Follower_Auto_Ptr | ( | TAO_Leader_Follower & | lf | ) |

| Constructor.

TAO_LF_Follower_Auto_Ptr::~TAO_LF_Follower_Auto_Ptr | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE TAO_LF_Follower * TAO_LF_Follower_Auto_Ptr::get | ( | void |  | ) |

| Implement the smart pointer methods.

ACE_INLINE TAO_LF_Follower_Auto_Ptr::operator TAO_LF_Follower * | ( | void |  | ) |

ACE_INLINE TAO_LF_Follower * TAO_LF_Follower_Auto_Ptr::operator-> | ( | void |  | ) |

## Member Data Documentation

TAO_LF_Follower* TAO_LF_Follower_Auto_Ptr::follower_`[private]`

| The follower.

TAO_Leader_Follower& TAO_LF_Follower_Auto_Ptr::leader_follower_`[private]`

| Keep a reference to the leader follower.

The documentation for this class was generated from the following files:

- LF_Follower_Auto_Ptr.h
- LF_Follower_Auto_Ptr.cpp
- LF_Follower_Auto_Ptr.inl